#
# spec file for package shutdownscheduler
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           shutdownscheduler
Version:        1.6.3
Release:        lp152.1.5
Summary:        Shutdown Scheduler
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://github.com/bcedu
Source:         https://github.com/bcedu/ShutdownScheduler/archive/v%{version}.tar.gz#/ShutdownScheduler-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(unity)
Recommends:     %{name}-lang

%description
ShutdownSheduler is a program used to shutdown the computer 
in a specific date time. It requires GTK just to achieve this.

%lang_package

%prep
%setup -q -n ShutdownScheduler-%{version}

%build
%meson
%meson_build

%install
%meson_install
%suse_update_desktop_file -r com.github.bcedu.shutdownscheduler GTK Utility X-SuSE-DesktopUtility
%find_lang com.github.bcedu.shutdownscheduler %{name}.lang
%fdupes %{buildroot}%{_datadir}

# dirlist HiDPI icons (see: hicolor/index.theme)
touch $PWD/dir.lst
_dirlist=$PWD/dir.lst
pushd %{buildroot}
find ./ | while read _list; do
    echo $_list | grep '[0-9]\@[0-9]' || continue
    _path=$(echo $_list | sed 's/[^/]//')
    if ! ls ${_path%/*}; then
        grep -xqs "\%dir\ ${_path%/*}" $_dirlist || echo "%dir ${_path%/*}" >> $_dirlist
    fi
done
popd

%files -f dir.lst
%license COPYING
%doc AUTHORS README.md
%{_bindir}/com.github.bcedu.shutdownscheduler
%{_datadir}/applications/com.github.bcedu.shutdownscheduler.desktop
%{_datadir}/glib-2.0/schemas/com.github.bcedu.shutdownscheduler.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.bcedu.shutdownscheduler.??g
%{_datadir}/metainfo/com.github.bcedu.shutdownscheduler.appdata.xml

%files lang -f %{name}.lang

%changelog
* Mon Nov  4 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.6.3:
  * Turkish and Dutch translations.
* Tue Oct  1 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.6.1:
  * Merge pull request #40 from Fatih20/Icon-Tweaks
* Mon Aug 26 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.6.0:
  * Fix size
  * Merge pull request #39 from Fatih20/icon-redesign
  * Changed as requested and pixel fitted
  * Min windows size
  * Add color red to shutdown button
  * Icons Redesign
* Mon Aug 26 2019 Jan Engelhardt <jengelh@inai.de>
- Trim false claims from description.
* Mon Jul  8 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.5.1:
  * Merge pull request #36 from ryonakano/fix-unintended-views
* Mon May 20 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.5.0:
  * Remove app test folder
  * Update README.md
  * Fix build warnings
  * Fix save options
  * Merge pull request #32 from ryonakano/fix-potfiles
  * Merge pull request #24 from NathanBnm/update-icons
  * Merge pull request #33 from ryonakano/fix-header-height
  * Merge pull request #30 from NathanBnm/tooltip
  * Merge pull request #29 from NathanBnm/fix-warnings
  * Fix header height
  * Fix POTFILES
  * Add Reset Tooltip
  * Merge pull request #27 from NathanBnm/formatting
  * Fix add_accelerator deprecation
  * Add some tooltips
  * Add other language files
  * Make the app more consistent
  * Add missing icon sizes
* Mon Apr 22 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.4.1:
  * Rewrite app
- Switch to meson
- Add a new package with translations
- Spec file cleanup
* Thu Dec  6 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.3.2:
  * Fix data
  * fix reset file
* Mon Oct  1 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.3.0:
  * Update README.md
  * Basic refactor
- Remove obsolete macros
- Spec file cleanup
* Mon May 14 2018 avvissu@yandex.by
- Update to 1.2.1:
  * Fix dev control
  * Update app infor for version 1.2
  * Allow customize buttons
  * Allow customize fast acces buttons
  * Clean code
* Sat Jan 20 2018 avvissu@yandex.by
- Update to 1.1.1:
  * Change fast acces button
* Mon Dec 11 2017 avvissu@yandex.by
- Initial package
